
QGIS Application - Bug report #21432

branch 3.6 fails to build - src/core/qgsdistancearea.cpp:491:3: error: ‘geod_inverseline’ was not 

declared in this scope

2019-02-28 10:20 PM - vince ice

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Build/Install

Affected QGIS version:3.6.0 Regression?: No

Operating System: Gentoo with kernel 4.14.65-gentoo Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 29249

Description

Just tried to build branch 3.6.

This is what I get:

[ 16%] Building CXX object src/core/CMakeFiles/qgis_core.dir/qgserror.cpp.o

/tmp/QGIS/QGIS/src/core/qgsdistancearea.cpp: In member function ‘double

QgsDistanceArea::latitudeGeodesicCrossesAntimeridian(const QgsPointXY&, const QgsPointXY&, double&) const’:

/tmp/QGIS/QGIS/src/core/qgsdistancearea.cpp:491:3: error: ‘geod_inverseline’ was not declared in this scope

geod_inverseline( &line, &geod, p1y, p1x, p2y, p2x, GEOD_ALL );

^~~~~~~~~~~~~~~~

/tmp/QGIS/QGIS/src/core/qgsdistancearea.cpp:491:3: note: suggested alternative: ‘geod_inverse’

geod_inverseline( &line, &geod, p1y, p1x, p2y, p2x, GEOD_ALL );

^~~~~~~~~~~~~~~~

geod_inverse

/tmp/QGIS/QGIS/src/core/qgsdistancearea.cpp:493:33: error: ‘struct geod_geodesicline’ has no member named ‘s13’

const double totalDist = line.s13;

^~~

/tmp/QGIS/QGIS/src/core/qgsdistancearea.cpp:494:34: error: ‘struct geod_geodesicline’ has no member named ‘s13’

double intersectionDist = line.s13;

^~~

/tmp/QGIS/QGIS/src/core/qgsdistancearea.cpp:517:31: error: ‘struct geod_geodesicline’ has no member named ‘s13’

intersectionDist = line.s13 * 0.5;

^~~

/tmp/QGIS/QGIS/src/core/qgsdistancearea.cpp: In member function ‘QVector<QVector<QgsPointXY> >

QgsDistanceArea::geodesicLine(const QgsPointXY&, const QgsPointXY&, double, bool) const’:

/tmp/QGIS/QGIS/src/core/qgsdistancearea.cpp:696:3: error: ‘geod_inverseline’ was not declared in this scope

geod_inverseline( &line, &geod, pp1.y(), pp1.x(), pp2.y(), pp2.x(), GEOD_ALL );

^~~~~~~~~~~~~~~~

/tmp/QGIS/QGIS/src/core/qgsdistancearea.cpp:696:3: note: suggested alternative: ‘geod_inverse’

geod_inverseline( &line, &geod, pp1.y(), pp1.x(), pp2.y(), pp2.x(), GEOD_ALL );

^~~~~~~~~~~~~~~~

geod_inverse

/tmp/QGIS/QGIS/src/core/qgsdistancearea.cpp:697:33: error: ‘struct geod_geodesicline’ has no member named ‘s13’

const double totalDist = line.s13;

^~~

make[2]: *** [src/core/CMakeFiles/qgis_core.dir/build.make:5066: src/core/CMakeFiles/qgis_core.dir/qgsdistancearea.cpp.o] Error

1

make[2]: *** Attesa per i processi non terminati....

make[1]: *** [CMakeFiles/Makefile2:316: src/core/CMakeFiles/qgis_core.dir/all] Error 2
make: *** [Makefile:152: all] Error 2

History

#1 - 2019-02-28 11:20 PM - Nyall Dawson

- Resolution set to invalid

- Status changed from Open to Closed

This indicates that your proj version is too old -- you'll need to upgrade.

#2 - 2019-03-01 04:07 PM - vince ice

- Assignee set to Nyall Dawson

Nyall Dawson wrote:

This indicates that your proj version is too old -- you'll need to upgrade.

I'm sorry Nyall, I don't understand what you mean by too old. That's the code from git. Build fails with master as well. I couldn't find anything in the issues

that points to this problem.

V

#3 - 2019-03-01 04:10 PM - Giovanni Manghi

vince ice wrote:

Nyall Dawson wrote:

This indicates that your proj version is too old -- you'll need to upgrade.

I'm sorry Nyall, I don't understand what you mean by too old. That's the code from git. Build fails with master as well. I couldn't find anything in the

issues that points to this problem.

V

the proj library is a qgis dependency, is not part of qgis code.

#4 - 2019-03-01 05:53 PM - vince ice

Giovanni Manghi wrote:

vince ice wrote:

Nyall Dawson wrote:

2025-05-18 2/3



This indicates that your proj version is too old -- you'll need to upgrade.

I'm sorry Nyall, I don't understand what you mean by too old. That's the code from git. Build fails with master as well. I couldn't find anything in the

issues that points to this problem.

V

the proj library is a qgis dependency, is not part of qgis code.

Right! Sorry I wasted your time. It works now...

V
